{
  "name": "@kiwi-al/dev-workspace",
  "version": "0.1.0",
  "license": "private",
  "main": "no/way",
  "private": true,
  "scripts": {
    "========================= ALL =========================": "",
    "build": "run-s build:kiwi-al",
    "lint": "run-s lint:adlete-semantics lint:adlete-vle lint:kiwi-al",
    "test": "run-s test:adlete-semantics test:adlete-vle test:kiwi-al",
    "typecheck": "run-s typecheck:adlete-semantics typecheck:adlete-vle typecheck:kiwi-al",
    "ci-test:storybook": "run-s ci-test:storybook:adlete-vle",
    "container-test": "run-s container-test:kiwi-al",

    "========================= adlete-semantics =========================": "",

    "------------------------- ALL: adlete-semantics": "",
    "typecheck:adlete-semantics": "run-s typecheck:json-ld typecheck:cass-json-ld typecheck:cass-graph typecheck:cass-api typecheck:amb typecheck:xapi typecheck:oersi-api",
    "lint:adlete-semantics": "run-s lint:json-ld lint:cass-json-ld lint:cass-graph lint:cass-api lint:amb lint:xapi lint:oersi-api",
    "test:adlete-semantics": "run-s test:json-ld test:cass-json-ld test:cass-graph test:cass-api test:amb test:xapi test:oersi-api",

    "------------------------- amb": "",
    "build:amb": "cd ./adlete-semantics-packages/@adlete-semantics/amb && npm run build",
    "typecheck:amb": "cd ./adlete-semantics-packages/@adlete-semantics/amb && npm run typecheck",
    "lint:amb": "cd ./adlete-semantics-packages/@adlete-semantics/amb && npm run lint",
    "test:amb": "cd ./adlete-semantics-packages/@adlete-semantics/amb && npm run test",

    "------------------------- cass-api": "",
    "build:cass-api": "cd ./adlete-semantics-packages/@adlete-semantics/cass-api && npm run build",
    "typecheck:cass-api": "cd ./adlete-semantics-packages/@adlete-semantics/cass-api && npm run typecheck",
    "lint:cass-api": "cd ./adlete-semantics-packages/@adlete-semantics/cass-api && npm run lint",
    "test:cass-api": "cd ./adlete-semantics-packages/@adlete-semantics/cass-api && npm run test",

    "------------------------- cass-graph": "",
    "build:cass-graph": "cd ./adlete-semantics-packages/@adlete-semantics/cass-graph && npm run build",
    "typecheck:cass-graph": "cd ./adlete-semantics-packages/@adlete-semantics/cass-graph && npm run typecheck",
    "lint:cass-graph": "cd ./adlete-semantics-packages/@adlete-semantics/cass-graph && npm run lint",
    "test:cass-graph": "cd ./adlete-semantics-packages/@adlete-semantics/cass-graph && npm run test",

    "------------------------- cass-json-ld": "",
    "build:cass-json-ld": "cd ./adlete-semantics-packages/@adlete-semantics/cass-json-ld && npm run build",
    "typecheck:cass-json-ld": "cd ./adlete-semantics-packages/@adlete-semantics/cass-json-ld && npm run typecheck",
    "lint:cass-json-ld": "cd ./adlete-semantics-packages/@adlete-semantics/cass-json-ld && npm run lint",
    "test:cass-json-ld": "cd ./adlete-semantics-packages/@adlete-semantics/cass-json-ld && npm run test",

    "------------------------- json-ld": "",
    "build:json-ld": "cd ./adlete-semantics-packages/@adlete-semantics/json-ld && npm run build",
    "typecheck:json-ld": "cd ./adlete-semantics-packages/@adlete-semantics/json-ld && npm run typecheck",
    "lint:json-ld": "cd ./adlete-semantics-packages/@adlete-semantics/json-ld && npm run lint",
    "test:json-ld": "cd ./adlete-semantics-packages/@adlete-semantics/json-ld && npm run test",

    "------------------------- oersi-api": "",
    "build:oersi-api": "cd ./adlete-semantics-packages/@adlete-semantics/oersi-api && npm run build",
    "typecheck:oersi-api": "cd ./adlete-semantics-packages/@adlete-semantics/oersi-api && npm run typecheck",
    "lint:oersi-api": "cd ./adlete-semantics-packages/@adlete-semantics/oersi-api && npm run lint",
    "test:oersi-api": "cd ./adlete-semantics-packages/@adlete-semantics/oersi-api && npm run test",

    "------------------------- xapi": "",
    "build:xapi": "cd ./adlete-semantics-packages/@adlete-semantics/xapi && npm run build",
    "typecheck:xapi": "cd ./adlete-semantics-packages/@adlete-semantics/xapi && npm run typecheck",
    "lint:xapi": "cd ./adlete-semantics-packages/@adlete-semantics/xapi && npm run lint",
    "test:xapi": "cd ./adlete-semantics-packages/@adlete-semantics/xapi && npm run test",

    "========================= adlete-vle =========================": "",

    "------------------------- ALL: adlete-vle": "",
    "typecheck:adlete-vle": "run-s typecheck:vle-utils typecheck:lr-core typecheck:lr-core-components typecheck:vle-core",
    "lint:adlete-vle": "run-s lint:vle-utils lint:lr-core lint:lr-core-components lint:vle-core",
    "test:adlete-vle": "run-s test:vle-utils test:lr-core test:lr-core-components test:vle-core",
    "ci-test:storybook:adlete-vle": "run-s ci-test:storybook:lr-core-components",

    "------------------------- lr-core": "",
    "build:lr-core": "cd ./adlete-vle-packages/@adlete-vle/lr-core && npm run build",
    "typecheck:lr-core": "cd ./adlete-vle-packages/@adlete-vle/lr-core && npm run typecheck",
    "lint:lr-core": "cd ./adlete-vle-packages/@adlete-vle/lr-core && npm run lint",
    "test:lr-core": "cd ./adlete-vle-packages/@adlete-vle/lr-core && npm run test",

    "------------------------- lr-core-components": "",
    "build:lr-core-components": "cd ./adlete-vle-packages/@adlete-vle/lr-core-components && npm run build",
    "typecheck:lr-core-components": "cd ./adlete-vle-packages/@adlete-vle/lr-core-components && npm run typecheck",
    "lint:lr-core-components": "cd ./adlete-vle-packages/@adlete-vle/lr-core-components && npm run lint",
    "test:lr-core-components": "cd ./adlete-vle-packages/@adlete-vle/lr-core-components && npm run test",
    "test:storybook:lr-core-components": "cd ./adlete-vle-packages/@adlete-vle/lr-core-components && npm run test:storybook",
    "storybook:lr-core-components": "cd ./adlete-vle-packages/@adlete-vle/lr-core-components && npm run storybook",
    "ci-test:storybook:lr-core-components": "cd ./adlete-vle-packages/@adlete-vle/lr-core-components && npm run ci-test:storybook",

    "------------------------- vle-utils": "",
    "build:vle-utils": "cd ./adlete-vle-packages/@adlete-vle/utils && npm run build",
    "typecheck:vle-utils": "cd ./adlete-vle-packages/@adlete-vle/utils && npm run typecheck",
    "lint:vle-utils": "cd ./adlete-vle-packages/@adlete-vle/utils && npm run lint",
    "test:vle-utils": "cd ./adlete-vle-packages/@adlete-vle/utils && npm run test",

    "------------------------- vle-core": "",
    "build:vle-core": "cd ./adlete-vle-packages/@adlete-vle/vle-core && npm run build",
    "typecheck:vle-core": "cd ./adlete-vle-packages/@adlete-vle/vle-core && npm run typecheck",
    "lint:vle-core": "cd ./adlete-vle-packages/@adlete-vle/vle-core && npm run lint",
    "test:vle-core": "cd ./adlete-vle-packages/@adlete-vle/vle-core && npm run test",

    "========================= kiwi-al =========================": "",

    "------------------------- ALL: kiwi-al": "",
    "COMMENT: the TS project references should handle the building of all required modules": "",
    "build:kiwi-al": "run-s build:kiwi-service build:lr-transformer build:vle-naive-bayes-ts build:vle-naive-bayes",
    "typecheck:kiwi-al": "run-s typecheck:math-core typecheck:math-core-components typecheck:lr-naive-bayes-static typecheck:lr-naive-bayes typecheck:pl-engine typecheck:kiwi-service typecheck:lr-transformer typecheck:vle-naive-bayes",
    "lint:kiwi-al": "run-s lint:math-core lint:math-core-components lint:lr-naive-bayes-static lint:lr-naive-bayes lint:pl-engine lint:kiwi-service lint:lr-transformer lint:vle-naive-bayes",
    "test:kiwi-al": "run-s test:math-core test:math-core-components test:lr-naive-bayes-static test:lr-naive-bayes test:pl-engine test:kiwi-service test:lr-transformer test:vle-naive-bayes",
    "container-test:kiwi-al": "run-s container-test:kiwi-service",

    "------------------------- lr-naive-bayes": "",
    "build:lr-naive-bayes": "cd ./kiwi-packages/@kiwi-al/lr-naive-bayes && npm run build",
    "typecheck:lr-naive-bayes": "cd ./kiwi-packages/@kiwi-al/lr-naive-bayes && npm run typecheck",
    "lint:lr-naive-bayes": "cd ./kiwi-packages/@kiwi-al/lr-naive-bayes && npm run lint",
    "test:lr-naive-bayes": "cd ./kiwi-packages/@kiwi-al/lr-naive-bayes && npm run test",

    "------------------------- lr-naive-bayes-static": "",
    "build:lr-naive-bayes-static": "cd ./kiwi-packages/@kiwi-al/lr-naive-bayes-static && npm run build",
    "typecheck:lr-naive-bayes-static": "cd ./kiwi-packages/@kiwi-al/lr-naive-bayes-static && npm run typecheck",
    "lint:lr-naive-bayes-static": "cd ./kiwi-packages/@kiwi-al/lr-naive-bayes-static && npm run lint",
    "test:lr-naive-bayes-static": "cd ./kiwi-packages/@kiwi-al/lr-naive-bayes-static && npm run test",

    "------------------------- math-core": "",
    "build:math-core": "cd ./kiwi-packages/@kiwi-al/math-core && npm run build",
    "typecheck:math-core": "cd ./kiwi-packages/@kiwi-al/math-core && npm run typecheck",
    "lint:math-core": "cd ./kiwi-packages/@kiwi-al/math-core && npm run lint",
    "test:math-core": "cd ./kiwi-packages/@kiwi-al/math-core && npm run test",

    "------------------------- math-core-components": "",
    "build:math-core-components": "cd ./kiwi-packages/@kiwi-al/math-core-components && npm run build",
    "typecheck:math-core-components": "cd ./kiwi-packages/@kiwi-al/math-core-components && npm run typecheck",
    "lint:math-core-components": "cd ./kiwi-packages/@kiwi-al/math-core-components && npm run lint",
    "test:math-core-components": "cd ./kiwi-packages/@kiwi-al/math-core-components && npm run test",

    "------------------------- pl-engine": "",
    "build:pl-engine": "cd ./kiwi-packages/@kiwi-al/pl-engine && npm run build",
    "typecheck:pl-engine": "cd ./kiwi-packages/@kiwi-al/pl-engine && npm run typecheck",
    "lint:pl-engine": "cd ./kiwi-packages/@kiwi-al/pl-engine && npm run lint",
    "test:pl-engine": "cd ./kiwi-packages/@kiwi-al/pl-engine && npm run test",

    "------------------------- APP: LR TRANSFORMER": "",
    "start:lr-transformer": "npm explore @kiwi-al/lr-transformer -- npm run start",
    "build:lr-transformer": "npm explore @kiwi-al/lr-transformer -- npm run build",
    "watch:build:lr-transformer": "npm explore @kiwi-al/lr-transformer -- npm run watch:build",
    "typecheck:lr-transformer": "cd ./kiwi-packages/@kiwi-al/lr-transformer && npm run typecheck",
    "lint:lr-transformer": "cd ./kiwi-packages/@kiwi-al/lr-transformer && npm run lint",
    "test:lr-transformer": "cd ./kiwi-packages/@kiwi-al/lr-transformer && npm run test",

    "------------------------- APP SERVICE": "",
    "build:kiwi-service": "cd ./kiwi-packages/@kiwi-al/service && npm run build",
    "watch:build:kiwi-service": "cd ./kiwi-packages/@kiwi-al/service && npm run watch:build",
    "start:kiwi-service": "cd ./kiwi-packages/@kiwi-al/service && npm run start",
    "typecheck:kiwi-service": "cd ./kiwi-packages/@kiwi-al/service && npm run typecheck",
    "lint:kiwi-service": "cd ./kiwi-packages/@kiwi-al/service && npm run lint",
    "test:kiwi-service": "cd ./kiwi-packages/@kiwi-al/service && npm run test",
    "container-test:kiwi-service": "cd ./kiwi-packages/@kiwi-al/service && npm run container-test",

    "------------------------- APP: VISUALIZER": "",
    "start:visualizer": "cd ./kiwi-packages/@kiwi-al/visualizer && npm run dev",
    "build:visualizer": "cd ./kiwi-packages/@kiwi-al/visualizer && npm run build",
    "watch:typecheck:visualizer": "cd ./kiwi-packages/@kiwi-al/visualizer && npm run watch:typecheck",
    "typecheck:visualizer": "cd ./kiwi-packages/@kiwi-al/visualizer && npm run typecheck",
    "lint:visualizer": "cd ./kiwi-packages/@kiwi-al/visualizer && npm run lint",
    "test:visualizer": "cd ./kiwi-packages/@kiwi-al/visualizer && npm run test",

    "------------------------- APP: VLE NAIVE BAYES": "",
    "start:vle-naive-bayes": "cd ./kiwi-packages/@kiwi-al/vle-naive-bayes && npm run dev",
    "build:vle-naive-bayes": "cd ./kiwi-packages/@kiwi-al/vle-naive-bayes && npm run build",
    "build:vle-naive-bayes-ts": "cd ./kiwi-packages/@kiwi-al/vle-naive-bayes && npm run build-ts",
    "watch:typecheck:vle-naive-bayes": "cd ./kiwi-packages/@kiwi-al/vle-naive-bayes && npm run watch:typecheck",
    "typecheck:vle-naive-bayes": "cd ./kiwi-packages/@kiwi-al/vle-naive-bayes && npm run typecheck",
    "lint:vle-naive-bayes": "cd ./kiwi-packages/@kiwi-al/vle-naive-bayes && npm run lint",
    "test:vle-naive-bayes": "cd ./kiwi-packages/@kiwi-al/vle-naive-bayes && npm run test",

    "========================= CHORES =========================": "",
    "deduplicate": "yarn-deduplicate yarn.lock",
    "list-duplicates": "yarn-deduplicate --list --strategy fewer yarn.lock"
  },
  "workspaces": [
    "adlete-packages/@adlete/dev-config",
    "adlete-packages/@adlete/eslint-config",
    "adlete-packages/@adlete/engine-blocks",
    "adlete-packages/@adlete/node-agrum",
    "adlete-packages/@adlete/visualizer-core",
    "adlete-packages/@adlete-utils/*",
    "adlete-packages/@fki/editor-core",
    "adlete-packages/@fki/plugin-based-app",
    "adlete-packages/@fki/plugin-system",
    "adlete-semantics-packages/**/*",
    "adlete-vle-packages/**/*",
    "kiwi-packages/**/*"
  ],
  "devDependencies": {
    "npm-run-all": "4.1.5"
  },
  "dependencies": {
    "react-i18next": "^12.2.0"
  },
  "resolutions": {
    "@types/react": "^18.0.26",
    "@types/webgl2": "0.0.11",
    "@types/webgl-ext": "0.0.37"
  },
  "prettier": "@adlete/dev-config/prettier"
}
